## org.eclipse.emf.importer.ui
Class EMFModelWizard.SelectionPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.jface.wizard.WizardSelectionPage
                  org.eclipse.emf.converter.ui.ModelConverterDescriptorSelectionPage
                      org.eclipse.emf.importer.ui.EMFModelWizard.SelectionPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, ISelectionChangedListener, IWizardPage

Enclosing class:
  EMFModelWizard

    public class EMFModelWizard.SelectionPage

extends ModelConverterDescriptorSelectionPage

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.ModelConverterDescriptorSelectionPage
`descriptor, descriptorTableViewer, firstTime, initializedWizards, modeConverterWizardDefaultImageDescriptor, modelConverterManager, modelConverterWizardNodeMap, selection, workbench`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`EMFModelWizard.SelectionPage(java.lang.String pageId, IWorkbench workbench, IStructuredSelection selection)`

Method Summary
`protected void` `adjustModelConverterWizard(IWizard modelConverterWizard)`
`ModelImporterDescriptor` `getModelImporterDescriptor()`
`protected java.lang.String` `getNoModelConverterMessage()`
`protected java.lang.String` `getSelectModelConverterLabel()`
`protected java.lang.Object[]` `getTableInput()`
`void` `setModelImporterDescriptor(ModelImporterDescriptor modelImporterDescriptor)`

Methods inherited from class org.eclipse.emf.converter.ui.ModelConverterDescriptorSelectionPage
`clearCache, createControl, dispose, firstTimeVisible, getLastModelConverterDescriptorId, getModelConverterDescriptor, getNextPage, isPageComplete, performFinish, selectionChanged, setModeConverterWizardDefaultImageDescriptor, setModelConverterDescriptor, setVisible`

Methods inherited from class org.eclipse.jface.wizard.WizardSelectionPage
`canFlipToNextPage, getSelectedNode, setSelectedNode`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### EMFModelWizard.SelectionPage

    public EMFModelWizard.SelectionPage(java.lang.String pageId,
                                        IWorkbench workbench,
                                        IStructuredSelection selection)

Method Detail

### getTableInput

    protected java.lang.Object[] getTableInput()

  Specified by:
    `getTableInput` in class `ModelConverterDescriptorSelectionPage`

### getSelectModelConverterLabel

    protected java.lang.String getSelectModelConverterLabel()

  Specified by:
    `getSelectModelConverterLabel` in class `ModelConverterDescriptorSelectionPage`

### setModelImporterDescriptor

    public void setModelImporterDescriptor(ModelImporterDescriptor modelImporterDescriptor)

### getModelImporterDescriptor

    public ModelImporterDescriptor getModelImporterDescriptor()

### getNoModelConverterMessage

    protected java.lang.String getNoModelConverterMessage()

  Overrides:
    `getNoModelConverterMessage` in class `ModelConverterDescriptorSelectionPage`

### adjustModelConverterWizard

    protected void adjustModelConverterWizard(IWizard modelConverterWizard)

  Overrides:
    `adjustModelConverterWizard` in class `ModelConverterDescriptorSelectionPage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.